<?xml version="1.0" encoding="UTF-8"?>
<!--
   The contents of this file are subject to the terms of the Common Development and
   Distribution License (the License). You may not use this file except in compliance with the
   License.

   You can obtain a copy of the License at legal/CDDLv1.0.txt. See the License for the
   specific language governing permission and limitations under the License.

   When distributing Covered Software, include this CDDL Header Notice in each file and include
   the License file at legal/CDDLv1.0.txt. If applicable, add the following below the CDDL
   Header, with the fields enclosed by brackets [] replaced by your own identifying
   information: "Portions copyright [year] [name of copyright owner]".

   Copyright (c) 2014 ForgeRock AS. All Rights Reserved
   Portions Copyright 2017-2021 Wren Security.
-->
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>

    <parent>
        <groupId>org.forgerock.commons.ui</groupId>
        <artifactId>forgerock-ui</artifactId>
        <version>22.1.1-SNAPSHOT</version>
    </parent>

    <artifactId>forgerock-ui-mock</artifactId>
    <name>Wren Security UI - Mock</name>
    <packaging>pom</packaging>

    <build>
        <resources>
            <resource>
                <directory>${basedir}/src/main/resources</directory>
                <filtering>true</filtering>
            </resource>

            <resource>
                <directory>${basedir}/src/main/js</directory>
                <filtering>true</filtering>
            </resource>
        </resources>

        <outputDirectory>${project.build.directory}/www</outputDirectory>

        <plugins>
            <plugin>
                <groupId>com.github.eirslett</groupId>
                <artifactId>frontend-maven-plugin</artifactId>
            </plugin>

            <plugin>
                <artifactId>maven-resources-plugin</artifactId>
                <executions>
                    <execution>
                        <phase>process-resources</phase>
                        <goals>
                            <goal>resources</goal>
                        </goals>
                    </execution>
                </executions>
            </plugin>

            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-dependency-plugin</artifactId>

                <executions>
                    <execution>
                        <id>unpack</id>
                        <phase>process-resources</phase>

                        <goals>
                            <goal>unpack</goal>
                        </goals>

                        <configuration>
                            <artifactItems>
                                <artifactItem>
                                    <groupId>org.forgerock.commons.ui</groupId>
                                    <artifactId>forgerock-ui-user</artifactId>
                                    <version>${project.version}</version>
                                    <type>zip</type>
                                    <classifier>www</classifier>
                                </artifactItem>
                            </artifactItems>

                            <outputDirectory>${project.build.directory}/www</outputDirectory>
                        </configuration>
                    </execution>

                    <execution>
                        <id>copy-dependencies-less</id>
                        <phase>process-resources</phase>

                        <goals>
                            <goal>copy-dependencies</goal>
                        </goals>

                        <configuration>
                            <includeArtifactIds>less</includeArtifactIds>
                            <includeTypes>js</includeTypes>
                            <outputDirectory>${project.build.directory}/less</outputDirectory>
                            <overWriteReleases>false</overWriteReleases>
                            <overWriteSnapshots>false</overWriteSnapshots>
                            <overWriteIfNewer>true</overWriteIfNewer>
                        </configuration>
                    </execution>

                    <execution>
                        <id>copy-dependencies-r</id>
                        <phase>process-resources</phase>

                        <goals>
                            <goal>copy-dependencies</goal>
                        </goals>

                        <configuration>
                            <includeArtifactIds>r</includeArtifactIds>
                            <includeTypes>js</includeTypes>
                            <outputDirectory>${project.build.directory}/optimization</outputDirectory>
                            <overWriteReleases>false</overWriteReleases>
                            <overWriteSnapshots>false</overWriteSnapshots>
                            <overWriteIfNewer>true</overWriteIfNewer>
                        </configuration>
                    </execution>
                </executions>
            </plugin>
        </plugins>
    </build>

    <dependencies>
        <dependency>
            <groupId>org.forgerock.commons.ui</groupId>
            <artifactId>forgerock-ui-user</artifactId>
            <version>${project.version}</version>
            <type>zip</type>
            <classifier>www</classifier>
        </dependency>
    </dependencies>
</project>
